Summary: PostScript interpreter and renderer
Name: ghostscript
Version: 7.00
Release: 1
Group: Applications/Graphics
Copyright: Aladdin Free Public License
Url: http://www.cs.wisc.edu/~ghost/
Vendor: artofcode LLC
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs700/ghostscript-%{version}.tar.bz2
Source1: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs700/ghostscript-%{version}jpeg.tar.gz
Source2: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs700/ghostscript-%{version}libpng.tar.gz
Source3: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/AFPL/gs700/ghostscript-%{version}zlib.tar.gz
Patch0: ghostscript-7.00-manpath.patch
Patch1: ghostscript-7.00-time.patch
Requires: ghostscript-fonts
BuildRoot: /var/tmp/%{name}-root

%description
Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many printer
formats (including support for colour printers), and popular graphics
file formats.


%prep
%setup0 -q -n gs%{version} -a 1 -a 2 -a 3
%patch0 -p1
%patch1 -p1


%build
sed	-e 's|^JSRCDIR=.*|JSRCDIR=jpeg-6b|' \
	-e 's|^PSRCDIR=.*|PSRCDIR=libpng-1.0.10|' \
	-e 's|^ZSRCDIR=.*|ZSRCDIR=zlib-1.1.3|' \
	src/unix-gcc.mak > Makefile
make	prefix=/usr \
	XCFLAGS="$RPM_OPT_FLAGS" XLDFLAGS=-s \
	XLIBDIRS=-L/usr/X11R6/lib XINCLUDE=-I/usr/X11R6/include \
	GS_LIB_DEFAULT=\$\(gsdatadir\)/lib:/usr/share/ghostscript/fonts:/usr/share/fonts/default/Type1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr
ln -sf gs   $RPM_BUILD_ROOT/usr/bin/ghostscript
ln -sf gs.1 $RPM_BUILD_ROOT/usr/man/man1/ghostscript.1


%files
%defattr(-,root,root)
/usr/bin/*
/usr/man/man*/*
/usr/share/ghostscript


%clean
rm -rf $RPM_BUILD_ROOT

